# Plugin pour l’InfoLAN

Ce plugin permet une gestion automatique du tournoi CSGO de l’InfoLAN avec l’aide [du bot discord](https://github.com/Lunki51/cs-picker).

## Compilation

Nécessite l’extension [Socket](https://github.com/JoinedSenses/sm-ext-socket).

Utilisez la commande suivante pour compiler (le compilateur utilisé ici est compris dans le [SourceMod](http://www.sourcemod.net/downloads.php)):
```bash
sourcemod/addons/sourcemod/scripting/spcomp64 -isocket.inc test.sp
```

## Installation

Mettez le fichier généré `test.smx` dans le répertoire `/path/to/server/csgo/addons/sourcemod/plugins/`.

## Utilisation

Pour les casteurs et les admins, mettez les IDSteam2 dans `/path/to/server/csgo/addons/sourcemod/configs/admins_simple.ini`

Pour les joueurs il faut utiliser la commande suivante:

```
!team [ct | t] <nom équipe> <id steam64> <id steam64> <id steam64> <id steam64> <id steam64>

#exemple:
!team ct TurboTeams 744… 744… 744… 744… 744…
```

* [ct | t] permet de définir le side
* <nom équipe> sera le nom de l’équipe (au lieu de terroriste / anti terroriste)
* <id steam64> est l’id steam 64 des joueurs de l’équipe

Pour rajouter un joueur en CT ou T après le début du match:

```
!addTeam [ct | t] <id steam64>

#exemple:
!add ct 744…
```

* [ct | t] permet de définir le side
* <id steam64> est l’id steam 64 du joueur à rajouter
